// import vConsole from 'vconsole'
import Vue from 'vue'
import router from './router'
import store from './store'

import 'normalize.css'
import '@/styles/index.less'

import '@/utils/import-vant'
import '@/utils/import-custom-component' // 自定义组件
import '@/utils/filter' // 自定义一些全局过滤函数

import App from './App.vue'

import './utils/amfe-flexible.js'

// new vConsole() // TEMPORARY: 临时

// if (process.env.NODE_ENV == 'development') {
//   // https://www.npmjs.com/package/vconsole
//   // 可以添加`options`进行配置项目
//   new vConsole()
//   // console.log('%c 开发环境 CONF >>>', 'background: blue; color: #fff', );
//   // import VConsole from 'vconsole'
//   // TODO: 配置开发环境 辅助工具
// }

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
