const state = {
    tabbarIdx: 0, // useless...
    catchRoutes: ["Applyfor"], // routers catch
}

const mutations = {
    SET_TABBAR (state, payload) {
        state.tabbarIdx = payload.tabbarIdx
    },

    ROUTE_ADD (state, payload){
        // NOTE: 阻止路由名称重复添加
        if (!state.catchRoutes.includes(payload.value)) {
            state.catchRoutes.push(payload.value)
        }
    },
    ROUTE_REMOVE (state, payload){
        state.catchRoutes = state.catchRoutes.filter(route => route !== payload.value)
    },
    ROUTE_CLEAN (state) {
        state.catchRoutes = []
    }

}

export default {
    namespaced: true,
    state,
    mutations
}