/**
 * @项目常用且不可变更
 */

export const SYSTEM_NAME = '办公系统'

//定义文件大小全局化(MB)
export const FileSize = 80

export const PicSize = 15

// 手机号的基础正则
export const phoneRegexp = /^1[0-9]{10}$/i

// excel suffix
export const excelSuffix = [
  'xlsx',
  'xls'
]

// word suffix
export const wordSuffix = [
  'word','doc','docx'
]

// pdf suffix
export const pdfSuffix = [
  'pdf'
  // ,'ppt','pptx'
]

// pic suffix
export const pictureSuffix = [
  'gif','icon','jpeg','jpg', 'png'
]

// 定义采购单临时存储本地字段
export const SAVE_APPROVAL_NAME = 'TEMPORARY_APPROVAL_SAVE'

// 定义采购单明细查看临时本地存储数据字段 
export const SAVE_PROCURE_INFO_TEMPORARY = 'TEMPORARY_PROCURE_INFO_LIST'

export const MODULE_ENUM = [
  undefined,
  '申购申请',
  '呈批申请',
  '入库申请',
  '领用申请',
  '出差申请',
  '请假申请',
  '用车申请',
  '维修申请',
  '合同呈批',
  '收文批阅',
  '学校文件'
]
